### Class

# Shumate SymbolEvent

since: 1.1

#### Description [src]

    final class Shumate.SymbolEvent : GObject.Object
      implements Shumate.Location {
      /* No available fields */
    }

An object containing the details of a map feature that has been clicked. It is the argument of the `ShumateMapLayer::symbol-clicked` and `ShumateSimpleMap::symbol-clicked` signals.

When vector maps are rendered, they may contain labels and icons. When one of these symbols is clicked, these signals are emitted to give the application access to the original location and details of the map feature.

`ShumateSymbolEvent` implements `ShumateLocation` so you can get the latitude and longitude of the feature that was clicked.

Available since: 1.1

#### Ancestors

- GObject

#### Implements

- ShumateLocation

#### Instance methods

###### shumate_symbol_event_get_feature_id

Gets the feature ID as specified in the data source. The meaning of the ID, if any, is up to the source.

since: 1.1

###### shumate_symbol_event_get_keys

Gets a list of the keys of the source feature’s tags.

since: 1.1

###### shumate_symbol_event_get_layer

Gets the name of the layer the clicked symbol is in, as named in the vector stylesheet.

since: 1.1

###### shumate_symbol_event_get_source_layer

Gets the name of the source layer the clicked feature is in, as named in the vector tile schema.

since: 1.1

###### shumate_symbol_event_get_tag

Gets a tag from the source feature.

since: 1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from ShumateLocation (4)

###### shumate_location_distance

Calculates the distance in meters between two locations.

since: 1.2

###### shumate_location_get_latitude

Gets the latitude coordinate in degrees.

since: 1.0

###### shumate_location_get_longitude

Gets the longitude coordinate in degrees.

since: 1.0

###### shumate_location_set_location

Sets the coordinates of the location.

since: 1.0

#### Properties

###### Shumate.SymbolEvent:feature-id

The ID of the feature that this event pertains to, as it was given in the data source.

since: 1.1

###### Shumate.SymbolEvent:layer

The ID of the style layer of the symbol that this event pertains to.

since: 1.1

###### Shumate.SymbolEvent:source-layer

The ID of the source layer of the symbol that this event pertains to.

since: 1.0

##### Properties inherited from ShumateLocation (2)

###### ShumateLocation:latitude

The latitude coordonate in degrees.

since: 1.0

###### ShumateLocation:longitude

The longitude coordonate in degrees.

since: 1.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct ShumateSymbolEventClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.